diff -rN old-hunchentoot/compat.lisp new-hunchentoot/compat.lisp
111a112,115
> (defun make-recursive-lock (name)
>   "Simple wrapper to allow LispWorks and Bordeaux Threads to coexist."
>   (bt:make-recursive-lock name))
> 
114c118,122
<   `(bt:with-lock-held (,lock) ,@body))
\ No newline at end of file
---
>   `(bt:with-lock-held (,lock) ,@body))
> 
> (defmacro with-recursive-lock-held ((lock) &body body)
>   "Simple wrapper to allow LispWorks and Bordeaux Threads to coexist."
>   `(bt:with-recursive-lock-held (,lock) ,@body))
diff -rN old-hunchentoot/log.lisp new-hunchentoot/log.lisp
41c41
<          (with-lock-held (,lock)
---
>          (with-recursive-lock-held (,lock)
diff -rN old-hunchentoot/specials.lisp new-hunchentoot/specials.lisp
227c227
< (defvar *message-log-lock* (make-lock "global-message-log-lock")
---
> (defvar *message-log-lock* (make-recursive-lock "global-message-log-lock")
231c231
< (defvar *access-log-lock* (make-lock "global-access-log-lock")
---
> (defvar *access-log-lock* (make-recursive-lock "global-access-log-lock")
